dnl $Id: config.m4,v 1.1 2005/02/14 01:25:28 john Exp $
dnl config.m4 for extension xmlrpci

PHP_ARG_ENABLE(xmlrpci, whether to enable improved XML-RPC support,
[  --enable-xmlrpci          Include improved XML-RPC support.])

if test -z "$PHP_LIBXML_DIR"; then
  PHP_ARG_WITH(libxml-dir, libxml2 install dir,
  [  --with-libxml-dir=DIR     XML: libxml2 install prefix], no, no)
fi

if test "$PHP_XMLRPCI" != "no" && test "$PHP_LIBXML" != "no"; then
  PHP_SETUP_LIBXML(SOAP_SHARED_LIBADD, [
    AC_DEFINE(HAVE_XMLRPCI,1,[ ])
    PHP_NEW_EXTENSION(xmlrpci, xmlrpci.c, $ext_shared)
    PHP_SUBST(XMLRPCI_SHARED_LIBADD)
  ], [
    AC_MSG_ERROR([xml2-config not found. Please check your libxml2 installation.])
  ])
fi
